ur_rna.StructureEditor.windows

## Class ColorizeDialog.ValueColorRule

- java.lang.Object
- - ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl
  - - ur_rna.StructureEditor.windows.ColorizeDialog.ValueColorRule

- All Implemented Interfaces:
    ColorizeDialog.ColorEditControl
  Enclosing class:
    ColorizeDialog

      private static class ColorizeDialog.ValueColorRule
      extends ColorizeDialog.SimpleColorControl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `btnChoose`
    `private javax.swing.JLabel` | `lblColor`
    `private javax.swing.JTextField` | `txtColor`
    `private javax.swing.JTextField` | `txtValue`

    - ### Fields inherited from class ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl

      `box, txt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueColorRule(ColorizeDialog dialog)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToPanel(javax.swing.JComponent panel)`
    `void` | `addToPanel(javax.swing.JComponent panel, int lineIndex)`
    `java.lang.String` | `getValue()`
    `void` | `remove()`
    `void` | `setValue(java.lang.String text)`

    - ### Methods inherited from class ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl

      `addBoxClickHandler, getColor, getColorText, getPanel, setColor, setColorText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.windows.ColorizeDialog.ColorEditControl

      `setColorFromText`

- - ### Field Detail

    - #### btnChoose

          private javax.swing.JButton btnChoose

    - #### lblColor

          private javax.swing.JLabel lblColor

    - #### txtColor

          private javax.swing.JTextField txtColor

    - #### txtValue

          private javax.swing.JTextField txtValue

  - ### Constructor Detail

    - #### ValueColorRule

          public ValueColorRule(ColorizeDialog dialog)

  - ### Method Detail

    - #### addToPanel

          public void addToPanel(javax.swing.JComponent panel)

    - #### addToPanel

          public void addToPanel(javax.swing.JComponent panel,
                                 int lineIndex)

    - #### getValue

          public java.lang.String getValue()

    - #### remove

          public void remove()

      Overrides:
        `remove` in class `ColorizeDialog.SimpleColorControl`

    - #### setValue

          public void setValue(java.lang.String text)